org.wildfly.swarm.config.elytron

## Class CachingRealm<T extends CachingRealm<T>>

- java.lang.Object
- - org.wildfly.swarm.config.elytron.CachingRealm<T>

-     public class CachingRealm<T extends CachingRealm<T>>
      extends Object

  A realm definition that enables caching to another security realm. Caching strategy is LRU (Least Recently Used) where least accessed entries are discarded when maximum number of entries is reached.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CachingRealm(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `String` | `getKey()`
    `Long` | `maximumAge()` The time in milliseconds that an item can stay in the cache.
    `T` | `maximumAge(Long value)` The time in milliseconds that an item can stay in the cache.
    `Integer` | `maximumEntries()` The maximum number of entries to keep in the cache.
    `T` | `maximumEntries(Integer value)` The maximum number of entries to keep in the cache.
    `String` | `realm()` A reference to a cacheable security realm.
    `T` | `realm(String value)` A reference to a cacheable security realm.
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CachingRealm

          public CachingRealm(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### maximumAge

          public Long maximumAge()

      The time in milliseconds that an item can stay in the cache.

    - #### maximumAge

          public T maximumAge(Long value)

      The time in milliseconds that an item can stay in the cache.

    - #### maximumEntries

          public Integer maximumEntries()

      The maximum number of entries to keep in the cache.

    - #### maximumEntries

          public T maximumEntries(Integer value)

      The maximum number of entries to keep in the cache.

    - #### realm

          public String realm()

      A reference to a cacheable security realm.

    - #### realm

          public T realm(String value)

      A reference to a cacheable security realm.

Copyright © 2018 JBoss by Red Hat. All rights reserved.